REM  This batch file runs the 'all.bat' batch file once for each language.
REM  When it's done, it zip'es up the appropriate files for storage on the
REM  CDROM.  We save a zip file with the pcboard, rbbs, opus, menu's, and 
REM  maximus files in the k:\_bbs\translat directory.
REM
REM  The translated BBS index files are called
REM  xxx_pcb.zip, xxx_rbbs.zip, xxx_opus.zip, xxx_menu.zip, xxx_max.zip
REM  where xxx is the language name.
REM
REM  This is the input language, for the 'dirs.xxx' (area descriptions)
REM  and the file listing descriptions, '00_index.xxx'
REM  current valid languages are as follows.

md %CDROM%\_bbs\translat
del %CDROM%\_bbs\translat\*.*
del %CDROM%\_bbs\wc30\allfiles.*

REM 'fre' : French
set in_language=fre
call \_bbs\all.bat
pkzip    %CDROM%\_bbs\translat\%in_language%_menu.zip %CDROM%\_bbs\menu\dir?.dir
pkzip    %CDROM%\_bbs\translat\%in_language%_pcb.zip %CDROM%\_bbs\pcbtool\dlpath.lst 
pkzip -a %CDROM%\_bbs\translat\%in_language%_pcb.zip %CDROM%\_bbs\pcb\*.*
pkzip -a %CDROM%\_bbs\translat\%in_language%_pcb.zip %CDROM%\_bbs\pcbtool\dir.lst 
pkzip    %CDROM%\_bbs\translat\%in_language%_rbbs.zip %CDROM%\_bbs\rbbs\*.* 
pkzip -a %CDROM%\_bbs\translat\%in_language%_rbbs.zip %CDROM%\_bbs\rbbstool\fidxt.def
pkzip -a %CDROM%\_bbs\translat\%in_language%_rbbs.zip %CDROM%\_bbs\rbbstool\*.def
pkzip -a %CDROM%\_bbs\translat\%in_language%_rbbs.zip %CDROM%\_bbs\rbbstool\makefidx.cfg
pkzip    %CDROM%\_bbs\translat\%in_language%_sf.zip %CDROM%\_bbs\sf\*.*
pkzip    %CDROM%\_bbs\translat\%in_language%_max.zip %CDROM%\_bbs\maxtool\hcdareas.ctl
pkzip -a %CDROM%\_bbs\translat\%in_language%_max.zip %CDROM%\_bbs\max\*.*

goto skip
REM 'spa' : Spanish
set in_language=spa
call \_bbs\all.bat
pkzip    %CDROM%\_bbs\translat\%in_language%_menu.zip %CDROM%\_bbs\menu\dir?.dir
pkzip    %CDROM%\_bbs\translat\%in_language%_pcb.zip %CDROM%\_bbs\pcbtool\dlpath.lst 
pkzip -a %CDROM%\_bbs\translat\%in_language%_pcb.zip %CDROM%\_bbs\pcb\*.*
pkzip -a %CDROM%\_bbs\translat\%in_language%_pcb.zip %CDROM%\_bbs\pcbtool\dir.lst 
pkzip    %CDROM%\_bbs\translat\%in_language%_rbbs.zip %CDROM%\_bbs\rbbs\*.* 
pkzip -a %CDROM%\_bbs\translat\%in_language%_rbbs.zip %CDROM%\_bbs\rbbstool\fidxt.def
pkzip -a %CDROM%\_bbs\translat\%in_language%_rbbs.zip %CDROM%\_bbs\rbbstool\*.def
pkzip -a %CDROM%\_bbs\translat\%in_language%_rbbs.zip %CDROM%\_bbs\rbbstool\makefidx.cfg
pkzip    %CDROM%\_bbs\translat\%in_language%_sf.zip %CDROM%\_bbs\sf\*.*
pkzip    %CDROM%\_bbs\translat\%in_language%_max.zip %CDROM%\_bbs\maxtool\hcdareas.ctl
pkzip -a %CDROM%\_bbs\translat\%in_language%_max.zip %CDROM%\_bbs\max\*.*

REM 'por' : Portugese
set in_language=por
call \_bbs\all.bat
pkzip    %CDROM%\_bbs\translat\%in_language%_menu.zip %CDROM%\_bbs\menu\dir?.dir
pkzip    %CDROM%\_bbs\translat\%in_language%_pcb.zip %CDROM%\_bbs\pcbtool\dlpath.lst 
pkzip -a %CDROM%\_bbs\translat\%in_language%_pcb.zip %CDROM%\_bbs\pcb\*.*
pkzip -a %CDROM%\_bbs\translat\%in_language%_pcb.zip %CDROM%\_bbs\pcbtool\dir.lst 
pkzip    %CDROM%\_bbs\translat\%in_language%_rbbs.zip %CDROM%\_bbs\rbbs\*.* 
pkzip -a %CDROM%\_bbs\translat\%in_language%_rbbs.zip %CDROM%\_bbs\rbbstool\fidxt.def
pkzip -a %CDROM%\_bbs\translat\%in_language%_rbbs.zip %CDROM%\_bbs\rbbstool\*.def
pkzip -a %CDROM%\_bbs\translat\%in_language%_rbbs.zip %CDROM%\_bbs\rbbstool\makefidx.cfg
pkzip    %CDROM%\_bbs\translat\%in_language%_sf.zip %CDROM%\_bbs\sf\*.*
pkzip    %CDROM%\_bbs\translat\%in_language%_max.zip %CDROM%\_bbs\maxtool\hcdareas.ctl
pkzip -a %CDROM%\_bbs\translat\%in_language%_max.zip %CDROM%\_bbs\max\*.*

:skip

REM 'ger' : German
set in_language=ger
call \_bbs\all.bat
pkzip    %CDROM%\_bbs\translat\%in_language%_menu.zip %CDROM%\_bbs\menu\dir?.dir
pkzip    %CDROM%\_bbs\translat\%in_language%_pcb.zip %CDROM%\_bbs\pcbtool\dlpath.lst 
pkzip -a %CDROM%\_bbs\translat\%in_language%_pcb.zip %CDROM%\_bbs\pcb\*.*
pkzip -a %CDROM%\_bbs\translat\%in_language%_pcb.zip %CDROM%\_bbs\pcbtool\dir.lst 
pkzip    %CDROM%\_bbs\translat\%in_language%_rbbs.zip %CDROM%\_bbs\rbbs\*.* 
pkzip -a %CDROM%\_bbs\translat\%in_language%_rbbs.zip %CDROM%\_bbs\rbbstool\fidxt.def
pkzip -a %CDROM%\_bbs\translat\%in_language%_rbbs.zip %CDROM%\_bbs\rbbstool\*.def
pkzip -a %CDROM%\_bbs\translat\%in_language%_rbbs.zip %CDROM%\_bbs\rbbstool\makefidx.cfg
pkzip    %CDROM%\_bbs\translat\%in_language%_sf.zip %CDROM%\_bbs\sf\*.*
pkzip    %CDROM%\_bbs\translat\%in_language%_max.zip %CDROM%\_bbs\maxtool\hcdareas.ctl
pkzip -a %CDROM%\_bbs\translat\%in_language%_max.zip %CDROM%\_bbs\max\*.*

goto skip2

REM 'ita' : Italian
set in_language=ita
call \_bbs\all
pkzip    %CDROM%\_bbs\translat\%in_language%_menu.zip %CDROM%\_bbs\menu\dir?.dir
pkzip    %CDROM%\_bbs\translat\%in_language%_pcb.zip %CDROM%\_bbs\pcbtool\dlpath.lst 
pkzip -a %CDROM%\_bbs\translat\%in_language%_pcb.zip %CDROM%\_bbs\pcb\*.*
pkzip -a %CDROM%\_bbs\translat\%in_language%_pcb.zip %CDROM%\_bbs\pcbtool\dir.lst 
pkzip    %CDROM%\_bbs\translat\%in_language%_rbbs.zip %CDROM%\_bbs\rbbs\*.* 
pkzip -a %CDROM%\_bbs\translat\%in_language%_rbbs.zip %CDROM%\_bbs\rbbstool\fidxt.def
pkzip -a %CDROM%\_bbs\translat\%in_language%_rbbs.zip %CDROM%\_bbs\rbbstool\*.def
pkzip -a %CDROM%\_bbs\translat\%in_language%_rbbs.zip %CDROM%\_bbs\rbbstool\makefidx.cfg
pkzip    %CDROM%\_bbs\translat\%in_language%_sf.zip %CDROM%\_bbs\sf\*.*
pkzip    %CDROM%\_bbs\translat\%in_language%_max.zip %CDROM%\_bbs\maxtool\hcdareas.ctl
pkzip -a %CDROM%\_bbs\translat\%in_language%_max.zip %CDROM%\_bbs\max\*.*

:skip2

REM 'txt' : English
set in_language=txt
call \_bbs\all.bat
pkzip    %CDROM%\_bbs\translat\%in_language%_menu.zip %CDROM%\_bbs\menu\dir?.dir
pkzip    %CDROM%\_bbs\translat\%in_language%_pcb.zip %CDROM%\_bbs\pcbtool\dlpath.lst 
pkzip -a %CDROM%\_bbs\translat\%in_language%_pcb.zip %CDROM%\_bbs\pcb\*.*
pkzip -a %CDROM%\_bbs\translat\%in_language%_pcb.zip %CDROM%\_bbs\pcbtool\dir.lst 
pkzip    %CDROM%\_bbs\translat\%in_language%_rbbs.zip %CDROM%\_bbs\rbbs\*.* 
pkzip -a %CDROM%\_bbs\translat\%in_language%_rbbs.zip %CDROM%\_bbs\rbbstool\fidxt.def
pkzip -a %CDROM%\_bbs\translat\%in_language%_rbbs.zip %CDROM%\_bbs\rbbstool\*.def
pkzip -a %CDROM%\_bbs\translat\%in_language%_rbbs.zip %CDROM%\_bbs\rbbstool\makefidx.cfg
pkzip    %CDROM%\_bbs\translat\%in_language%_sf.zip %CDROM%\_bbs\sf\*.*
pkzip    %CDROM%\_bbs\translat\%in_language%_max.zip %CDROM%\_bbs\maxtool\hcdareas.ctl
pkzip -a %CDROM%\_bbs\translat\%in_language%_max.zip %CDROM%\_bbs\max\*.*

pkzip    %CDROM%\_bbs\translat\wc30.zip %CDROM%\_bbs\wc30\allfiles.*

:end
